Wordpress - Warnings

Relativno sam novi u radu s Wordpressom i sad mi “poslodavac” pošalje .xls u mailu (kojeg je dobio od nekog kome je jedna od primarnih djelatnosti “ispravljanje warninga”!) s warningsima tipa:

WARNING Function ‘ereg_replace’ is deprecated, please use ‘preg_replace’ instead in file inzenir/public_html/test/wp-admin/includes/class-ftp.php line 383
WARNING Function ‘set_magic_quotes_runtime’ is deprecated, its use is no longer recommended in file inzenir/public_html/test/wp-admin/includes/class-pclzip.php line 5340
WARNING Function ‘split’ is deprecated, please use ‘explode’ or ‘preg_split’ instead in file inzenir/public_html/test/wp-includes/rss.php line 103

i slično, od svakog je na više mjesta i traži me da to ispravim. (znam da su to zastrarjele php funkcije)

Moja pitanja su jel da to idem ručno ispravljati ili postoji neki “fix” ili šta i kako je došao do te liste i popisa warningsa?

Hvala

probaj deaktivirati sve plugine pa vidi da li se pokazuje error. Uz update na zadnju verziju vjerujem da je problem do nekog od plugina

od verzije php-a 5.3.0 ne preporuča se više upotreba funkcije ereg_replace, nego umjesto nje preg_replace, ako izmijeniš to neće ti više bit warninga
warning možeš isključit i da staviš @ ispred funkcije na kojoj ti ga izbacuje, iako se takav pristup ne preporuča

Hvala na odgovorima, to znam, znam kako riješiti ručno, samo pitam jel ima lakše rješenje, jer očito je da ovaj hoće posao…

za promjenu funkcija nema, za isključivanje obavijesti o greškama možeš koristiti i error_reporting() funkciju, staviš je jednom na početku filea, al ne preporučam

ereg s preg, split s explode itd. ima.

no mene zanima kako je došao do tako lijepe liste iz svih fileova, iz pluginova koji nisu aktivirani, kako je to “preskenirao”?

i “split” se koristi u rss.php i atomlib.php koji su defaultni u paketu s wordpressom ako se ne varam.

sve to se vrti na PHP verziji 5.2.17


Copyright © 2020 WM Forum - AboutContact - Sponsored by: Mydataknox & Webmaster.Ninja